# Class CIM_QueueAllocation
extends CIM_Dependency

Describes the reliance of a QueuingService on the availability of space in a BufferPool.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_QueueAllocation

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Describes the reliance of a QueuingService on the availability of space in a BufferPool.
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AllocationPercentage | uint8 |
Description | string | This property is an 8-bit unsigned integer representing a percentage from 0 to 100. It defines the percentage of the BufferPool that should be allocated to the referenced QueuingService. If absolute sizes are desired, this is accomplished by defining individual BufferPools of the specified sizes, with QueueAllocation.AllocationPercentages set to 100.
MaxValue | sint64 | 100
MinValue | sint64 | 0
Units | string | Percent

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_QueueAllocation | CIM_BufferPool
Dependent | CIM_QueueAllocation | CIM_QueuingService

## Class Methods